/***********************************************************************/
/*                                                                     */
/*  FILE        :iodefine.h                                            */
/*  DATE        :Sun, Jan 16, 2011                                     */
/*  DESCRIPTION :Definition of I/O Register                            */
/*  CPU TYPE    :SH7125                                                */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.4.16).    */
/*                                                                     */
/***********************************************************************/
                  



/************************************************************************/
/*      SH7125 Series Include File                          Ver 2.1     */
/************************************************************************/
struct st_sci {                                         /* struct SCI   */
              union {                                   /* SCSMR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char _PE :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SCSMR;                  /*              */
              char              wk1;                    /*              */
              unsigned char     SCBRR;                  /* SCBRR        */
              char              wk2;                    /*              */
              union {                                   /* SCSCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCSCR;                  /*              */
              char              wk3;                    /*              */
              unsigned char     SCTDR;                  /* SCTDR        */
              char              wk4;                    /*              */
              union {                                   /* SCSSR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SCSSR;                  /*              */
              char              wk5;                    /*              */
              unsigned char     SCRDR;                  /* SCRDR        */
              char              wk6;                    /*              */
              union {                                   /* SCSDCR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :4;         /*              */
                           unsigned char DIR:1;         /*    DIR       */
                           }      BIT;                  /*              */
                    }           SCSDCR;                 /*              */
              char              wk7;                    /*              */
              union {                                   /* SCSPTR       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char EIO   :1;      /*    EIO       */
                           unsigned char       :3;      /*              */
                           unsigned char SPB1IO:1;      /*    SPB1IO    */
                           unsigned char SPB1DT:1;      /*    SPB1DT    */
                           unsigned char SPB0IO:1;      /*    SPB0IO    */
                           unsigned char SPB0DT:1;      /*    SPB0DT    */
                           }      BIT;                  /*              */
                    }           SCSPTR;                 /*              */
};                                                      /*              */
struct st_mtu2 {                                        /* struct MTU2  */
               union {                                  /* TOER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :2;       /*              */
                            unsigned char OE4D:1;       /*    OE4D      */
                            unsigned char OE4C:1;       /*    OE4C      */
                            unsigned char OE3D:1;       /*    OE3D      */
                            unsigned char OE4B:1;       /*    OE4B      */
                            unsigned char OE4A:1;       /*    OE4A      */
                            unsigned char OE3B:1;       /*    OE3B      */
                            }      BIT;                 /*              */
                     }          TOER;                   /*              */
               char             wk1[2];                 /*              */
               union {                                  /* TGCR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :1;        /*              */
                            unsigned char BDC:1;        /*    BDC       */
                            unsigned char N  :1;        /*    N         */
                            unsigned char P  :1;        /*    P         */
                            unsigned char FB :1;        /*    FB        */
                            unsigned char WF :1;        /*    WF        */
                            unsigned char VF :1;        /*    VF        */
                            unsigned char UF :1;        /*    UF        */
                            }      BIT;                 /*              */
                     }          TGCR;                   /*              */
               union {                                  /* TOCR1        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char PSYE:1;       /*    PSYE      */
                            unsigned char     :2;       /*              */
                            unsigned char TOCL:1;       /*    TOCL      */
                            unsigned char TOCS:1;       /*    TOCS      */
                            unsigned char OLSN:1;       /*    OLSN      */
                            unsigned char OLSP:1;       /*    OLSP      */
                            }      BIT;                 /*              */
                     }          TOCR1;                  /*              */
               union {                                  /* TOCR2        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BF   :2;      /*    BF        */
                            unsigned char OLS3N:1;      /*    OLS3N     */
                            unsigned char OLS3P:1;      /*    OLS3P     */
                            unsigned char OLS2N:1;      /*    OLS2N     */
                            unsigned char OLS2P:1;      /*    OLS2P     */
                            unsigned char OLS1N:1;      /*    OLS1N     */
                            unsigned char OLS1P:1;      /*    OLS1P     */
                            }      BIT;                 /*              */
                     }          TOCR2;                  /*              */
               char             wk2[4];                 /*              */
               unsigned short   TCDR;                   /* TCDR         */
               unsigned short   TDDR;                   /* TDDR         */
               char             wk3[8];                 /*              */
               unsigned short   TCNTS;                  /* TCNTS        */
               unsigned short   TCBR;                   /* TCBR         */
               char             wk4[12];                /*              */
               union {                                  /* TITCR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char T3AEN :1;     /*    T3AEN     */
                            unsigned char T3ACOR:3;     /*    T3ACOR    */
                            unsigned char T4VEN :1;     /*    T4VEN     */
                            unsigned char T4VCOR:3;     /*    T4VCOR    */
                            }      BIT;                 /*              */
                     }          TITCR;                  /*              */
               union {                                  /* TITCNT       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :1;     /*              */
                            unsigned char T3ACNT:3;     /*    T3ACNT    */
                            unsigned char       :1;     /*              */
                            unsigned char T4VCNT:3;     /*    T4VCNT    */
                            }      BIT;                 /*              */
                     }          TITCNT;                 /*              */
               union {                                  /* TBTER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :6;        /*              */
                            unsigned char BTE:2;        /*    BTE       */
                            }      BIT;                 /*              */
                     }          TBTER;                  /*              */
               char             wk5;                    /*              */
               union {                                  /* TDER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :7;       /*              */
                            unsigned char TDER:1;       /*    TDER      */
                            }      BIT;                 /*              */
                     }          TDER;                   /*              */
               char             wk6;                    /*              */
               union {                                  /* TOLBR        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char OLS3N:1;      /*    OLS3N     */
                            unsigned char OLS3P:1;      /*    OLS3P     */
                            unsigned char OLS2N:1;      /*    OLS2N     */
                            unsigned char OLS2P:1;      /*    OLS2P     */
                            unsigned char OLS1N:1;      /*    OLS1N     */
                            unsigned char OLS1P:1;      /*    OLS1P     */
                            }      BIT;                 /*              */
                     }          TOLBR;                  /*              */
               char             wk7[41];                /*              */
               union {                                  /* TWCR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCE:1;        /*    CCE       */
                            unsigned char    :6;        /*              */
                            unsigned char WRE:1;        /*    WRE       */
                            }      BIT;                 /*              */
                     }          TWCR;                   /*              */
               char             wk8[31];                /*              */
               union {                                  /* TSTR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CST4:1;       /*    CST4      */
                            unsigned char CST3:1;       /*    CST3      */
                            unsigned char     :3;       /*              */
                            unsigned char CST2:1;       /*    CST2      */
                            unsigned char CST1:1;       /*    CST1      */
                            unsigned char CST0:1;       /*    CST0      */
                            }      BIT;                 /*              */
                     }          TSTR;                   /*              */
               union {                                  /* TSYR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SYNC4:1;      /*    SYNC4     */
                            unsigned char SYNC3:1;      /*    SYNC3     */
                            unsigned char      :3;      /*              */
                            unsigned char SYNC2:1;      /*    SYNC2     */
                            unsigned char SYNC1:1;      /*    SYNC1     */
                            unsigned char SYNC0:1;      /*    SYNC0     */
                            }      BIT;                 /*              */
                     }          TSYR;                   /*              */
               union {                                  /* TCSYSTR      */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SCH0 :1;      /*    SCH0      */
                            unsigned char SCH1 :1;      /*    SCH1      */
                            unsigned char SCH2 :1;      /*    SCH2      */
                            unsigned char SCH3 :1;      /*    SCH3      */
                            unsigned char SCH4 :1;      /*    SCH4      */
                            unsigned char      :1;      /*              */
                            unsigned char SCH3S:1;      /*    SCH3S     */
                            unsigned char SCH4S:1;      /*    SCH4S     */
                            }      BIT;                 /*              */
                     }          TCSYSTR;                /*              */
               char             wk9;                    /*              */
               union {                                  /* TRWER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :7;        /*              */
                            unsigned char RWE:1;        /*    RWE       */
                            }      BIT;                 /*              */
                     }          TRWER;                  /*              */
};                                                      /*              */
struct st_mtu20 {                                       /* struct MTU20 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :1;       /*              */
                             unsigned char BFE:1;       /*    BFE       */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :2;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :3;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                unsigned short  TGRC;                   /* TGRC         */
                unsigned short  TGRD;                   /* TGRD         */
                char            wk1[16];                /*              */
                unsigned short  TGRE;                   /* TGRE         */
                unsigned short  TGRF;                   /* TGRF         */
                union {                                 /* TIER2        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE2:1;     /*    TTGE2     */
                             unsigned char      :5;     /*              */
                             unsigned char TGIEF:1;     /*    TGIEF     */
                             unsigned char TGIEE:1;     /*    TGIEE     */
                             }      BIT;                /*              */
                      }         TIER2;                  /*              */
                union {                                 /* TSR2         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TGFF:1;      /*    TGFF      */
                             unsigned char TGFE:1;      /*    TGFE      */
                             }      BIT;                /*              */
                      }         TSR2;                   /*              */
                union {                                 /* TBTM         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit Access  */
                             unsigned char     :5;      /*              */
                             unsigned char TTSE:1;      /*    TTSE      */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
};                                                      /*              */
struct st_mtu21 {                                       /* struct MTU21 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char CCLR:2;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char   :4;        /*              */
                             unsigned char MD:4;        /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             }      BIT;                /*              */
                      }         TIOR;                   /*              */
                char            wk1;                    /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEU:1;     /*    TCIEU     */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char      :2;     /*              */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :1;      /*              */
                             unsigned char TCFU:1;      /*    TCFU      */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char     :2;      /*              */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                char            wk2[4];                 /*              */
                union {                                 /* TICCR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :4;      /*              */
                             unsigned char I2BE:1;      /*    I2BE      */
                             unsigned char I2AE:1;      /*    I2AE      */
                             unsigned char I1BE:1;      /*    I1BE      */
                             unsigned char I1AE:1;      /*    I1AE      */
                             }      BIT;                /*              */
                      }         TICCR;                  /*              */
};                                                      /*              */
struct st_mtu22 {                                       /* struct MTU22 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char CCLR:2;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char   :4;        /*              */
                             unsigned char MD:4;        /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             }      BIT;                /*              */
                      }         TIOR;                   /*              */
                char            wk;                     /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEU:1;     /*    TCIEU     */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char      :2;     /*              */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :1;      /*              */
                             unsigned char TCFU:1;      /*    TCFU      */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char     :2;      /*              */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
};                                                      /*              */
struct st_mtu23 {                                       /* struct MTU23 */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                char            wk1;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :2;       /*              */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                char            wk2;                    /*              */
                union {                                 /* TIOR         */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                char            wk3[2];                 /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :2;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk4[7];                 /*              */
                unsigned short  TCNT;                   /* TCNT         */
                char            wk5[6];                 /*              */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                char            wk6[8];                 /*              */
                unsigned short  TGRC;                   /* TGRC         */
                unsigned short  TGRD;                   /* TGRD         */
                char            wk7[4];                 /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :2;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk8[11];                /*              */
                union {                                 /* TBTM         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
};                                                      /*              */
struct st_mtu24 {                                       /* struct MTU24 */
                char            wk1;                    /*              */
                union {                                 /* TCR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                char            wk2;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :2;       /*              */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                char            wk3[2];                 /*              */
                union {                                 /* TIOR         */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                char            wk4;                    /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char TTGE2:1;     /*    TTGE2     */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk5[8];                 /*              */
                unsigned short  TCNT;                   /* TCNT         */
                char            wk6[8];                 /*              */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                char            wk7[8];                 /*              */
                unsigned short  TGRC;                   /* TGRC         */
                unsigned short  TGRD;                   /* TGRD         */
                char            wk8;                    /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :2;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk9[11];                /*              */
                union {                                 /* TBTM         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
                char            wk10[6];                /*              */
                union {                                 /* TADCR        */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Bit  Access */
                             unsigned short BF    :2;   /*    BF        */
                             unsigned short       :6;   /*              */
                             unsigned short UT4AE :1;   /*    UT4AE     */
                             unsigned short DT4AE :1;   /*    DT4AE     */
                             unsigned short UT4BE :1;   /*    UT4BE     */
                             unsigned short DT4BE :1;   /*    DT4BE     */
                             unsigned short ITA3AE:1;   /*    ITA3AE    */
                             unsigned short ITA4VE:1;   /*    ITA4VE    */
                             unsigned short ITB3AE:1;   /*    ITB3AE    */
                             unsigned short ITB4VE:1;   /*    ITB4VE    */
                             }       BIT;               /*              */
                      }         TADCR;                  /*              */
                char            wk11[2] ;               /*              */
                unsigned short  TADCORA;                /* TADCORA      */
                unsigned short  TADCORB;                /* TADCORB      */
                unsigned short  TADCOBRA;               /* TADCOBRA     */
                unsigned short  TADCOBRB;               /* TADCOBRB     */
};                                                      /*              */
struct st_mtu25 {                                       /* struct MTU25 */
                unsigned short  TCNTU;                  /* TCNTU        */
                unsigned short  TGRU;                   /* TGRU         */
                union {                                 /* TCRU         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRU;                   /*              */
                char            wk1;                    /*              */
                union {                                 /* TIORU        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORU;                  /*              */
                char            wk2[9];                 /*              */
                unsigned short  TCNTV;                  /* TCNTV        */
                unsigned short  TGRV;                   /* TGRV         */
                union {                                 /* TCRV         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRV;                   /*              */
                char            wk3;                    /*              */
                union {                                 /* TIORV        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORV;                  /*              */
                char            wk4[9];                 /*              */
                unsigned short  TCNTW;                  /* TCNTW        */
                unsigned short  TGRW;                   /* TGRW         */
                union {                                 /* TCRW         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRW;                   /*              */
                char            wk5;                    /*              */
                union {                                 /* TIORW        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORW;                  /*              */
                char            wk6[9];                 /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CMFU:1;      /*    CMFU      */
                             unsigned char CMFV:1;      /*    CMFV      */
                             unsigned char CMFW:1;      /*    CMFW      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk7;                    /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char      :5;     /*              */
                             unsigned char TGIEU:1;     /*    TGIEU     */
                             unsigned char TGIEV:1;     /*    TGIEV     */
                             unsigned char TGIEW:1;     /*    TGIEW     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk8;                    /*              */
                union {                                 /* TSTR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CSTU:1;      /*    CSTU      */
                             unsigned char CSTV:1;      /*    CSTV      */
                             unsigned char CSTW:1;      /*    CSTW      */
                             }      BIT;                /*              */
                      }         TSTR;                   /*              */
                char            wk9;                    /*              */
                union {                                 /* TCCR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CLRU:1;      /*    CLRU      */
                             unsigned char CLRV:1;      /*    CLRV      */
                             unsigned char CLRW:1;      /*    CLRW      */
                             }      BIT;                /*              */
                      }         TCCR;                   /*              */
};                                                      /*              */
struct st_ad0 {                                         /* struct A/D0  */
              unsigned short    ADDR0;                  /* ADDR0        */
              unsigned short    ADDR1;                  /* ADDR1        */
              unsigned short    ADDR2;                  /* ADDR2        */
              unsigned short    ADDR3;                  /* ADDR3        */
              char              wk1[8];                 /*              */
              union {                                   /* ADCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short ADF   :1;     /*    ADF       */
                           unsigned short ADIE  :1;     /*    ADIE      */
                           unsigned short       :2;     /*              */
                           unsigned short TRGE  :1;     /*    TRGE      */
                           unsigned short       :1;     /*              */
                           unsigned short CONADF:1;     /*    CONADF    */
                           unsigned short STC   :1;     /*    STC       */
                           unsigned short CKSL  :2;     /*    CKSL      */
                           unsigned short ADM   :2;     /*    ADM       */
                           unsigned short ADCS  :1;     /*    ADCS      */
                           unsigned short CH    :3;     /*    CH        */
                           }       BIT;                 /*              */
                    }           ADCSR;                  /*              */
              union {                                   /* ADCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :2;       /*              */
                           unsigned short ADST:1;       /*    ADST      */
                           }       BIT;                 /*              */
                    }           ADCR;                   /*              */
              char              wk2[8060];              /*              */
              union {                                   /* ADTSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short       :4;     /*              */
                           unsigned short TRG01S:4;     /*    TRG01S    */
                           unsigned short       :4;     /*              */
                           unsigned short TRG0S :4;     /*    TRG0S     */
                           }       BIT;                 /*              */
                    }           ADTSR;                  /*              */
};                                                      /*              */
struct st_ad1 {                                         /* struct A/D1  */
              unsigned short    ADDR4;                  /* ADDR4        */
              unsigned short    ADDR5;                  /* ADDR5        */
              unsigned short    ADDR6;                  /* ADDR6        */
              unsigned short    ADDR7;                  /* ADDR7        */
              char              wk1[8];                 /*              */
              union {                                   /* ADCSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short ADF   :1;     /*    ADF       */
                           unsigned short ADIE  :1;     /*    ADIE      */
                           unsigned short       :2;     /*              */
                           unsigned short TRGE  :1;     /*    TRGE      */
                           unsigned short       :1;     /*              */
                           unsigned short CONADF:1;     /*    CONADF    */
                           unsigned short STC   :1;     /*    STC       */
                           unsigned short CKSL  :2;     /*    CKSL      */
                           unsigned short ADM   :2;     /*    ADM       */
                           unsigned short ADCS  :1;     /*    ADCS      */
                           unsigned short CH    :3;     /*    CH        */
                           }       BIT;                 /*              */
                    }           ADCSR;                  /*              */
              union {                                   /* ADCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :2;       /*              */
                           unsigned short ADST:1;       /*    ADST      */
                           }       BIT;                 /*              */
                    }           ADCR;                   /*              */
              char              wk2[7932];              /*              */
              union {                                   /* ADTSR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short TRG11S:4;     /*    TRG11S    */
                           unsigned short       :4;     /*              */
                           unsigned short TRG1S :4;     /*    TRG1S     */
                           }       BIT;                 /*              */
                    }           ADTSR;                  /*              */
};                                                      /*              */
struct st_flash {                                       /* struct FLASH */
                union {                                 /* FCCS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FWE :1;      /*    FWE       */
                             unsigned char MAT :1;      /*    MAT       */
                             unsigned char     :1;      /*              */
                             unsigned char FLER:1;      /*    FLER      */
                             unsigned char     :3;      /*              */
                             unsigned char SCO :1;      /*    SCO       */
                             }      BIT;                /*              */
                      }         FCCS;                   /*              */
                union {                                 /* FPCS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char PPVS:1;      /*    PPVS      */
                             }      BIT;                /*              */
                      }         FPCS;                   /*              */
                union {                                 /* FECS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char EPVB:1;      /*    EPVB      */
                             }      BIT;                /*              */
                      }         FECS;                   /*              */
                char            wk;                     /*              */
                unsigned char   FKEY;                   /* FKEY         */
                unsigned char   FMATS;                  /* FMATS        */
                union {                                 /* FTDAR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TDER:1;      /*    TDER      */
                             unsigned char TDA :7;      /*    TDA       */
                             }      BIT;                /*              */
                      }         FTDAR;                  /*              */
};                                                      /*              */
struct st_cmt {                                         /* struct CMT   */
              union {                                   /* CMSTR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :8;        /*              */
                           unsigned char     :6;        /*              */
                           unsigned char STR1:1;        /*    STR1      */
                           unsigned char STR0:1;        /*    STR0      */
                           }       BIT;                 /*              */
                    }           CMSTR;                  /*              */
};                                                      /*              */
struct st_cmt0 {                                        /* struct CMT0  */
               union {                                  /* CMCSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned char     :8;       /*              */
                            unsigned char CMF :1;       /*    CMF       */
                            unsigned char CMIE:1;       /*    CMIE      */
                            unsigned char     :4;       /*              */
                            unsigned char CKS :2;       /*    CKS       */
                            }       BIT;                /*              */
                     }          CMCSR;                  /*              */
               unsigned short   CMCNT;                  /* CMCNT        */
               unsigned short   CMCOR;                  /* CMCOR        */
};                                                      /*              */
struct st_poe {                                         /* struct POE   */
              union {                                   /* ICSR1        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char POE3F:1;       /*    POE3F     */
                           unsigned char      :1;       /*              */
                           unsigned char POE1F:1;       /*    POE1F     */
                           unsigned char POE0F:1;       /*    POE0F     */
                           unsigned char      :3;       /*              */
                           unsigned char PIE1 :1;       /*    PIE1      */
                           unsigned char POE3M:2;       /*    POE3M     */
                           unsigned char      :2;       /*              */
                           unsigned char POE1M:2;       /*    POE1M     */
                           unsigned char POE0M:2;       /*    POE0M     */
                           }       BIT;                 /*              */
                    }           ICSR1;                  /*              */
              union {                                   /* OCSR1        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char OSF1:1;        /*    OSF1      */
                           unsigned char     :5;        /*              */
                           unsigned char OCE1:1;        /*    OCE1      */
                           unsigned char OIE1:1;        /*    OIE1      */
                           }       BIT;                 /*              */
                    }           OCSR1;                  /*              */
              char              wk1[4];                 /*              */
              union {                                   /* ICSR3        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char POE8F:1;       /*    POE8F     */
                           unsigned char      :2;       /*              */
                           unsigned char POE8E:1;       /*    POE8E     */
                           unsigned char PIE3 :1;       /*    PIE3      */
                           unsigned char      :6;       /*              */
                           unsigned char POE8M:2;       /*    POE8M     */
                           }       BIT;                 /*              */
                    }           ICSR3;                  /*              */
              union {                                   /* SPOER        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char            :6; /*              */
                           unsigned char MTU2CH0HIZ :1; /*    MTU2CH0HIZ*/
                           unsigned char MTU2CH34HIZ:1; /*    MTU2CH34HI*/
                           }      BIT;                  /*              */
                    }           SPOER;                  /*              */
              union {                                   /* POECR1       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char          :4;   /*              */
                           unsigned char MTU2PE3ZE:1;   /*    MTU2PE3ZE */
                           unsigned char MTU2PE2ZE:1;   /*    MTU2PE2ZE */
                           unsigned char MTU2PE1ZE:1;   /*    MTU2PE1ZE */
                           unsigned char MTU2PE0ZE:1;   /*    MTU2PE0ZE */
                           }      BIT;                  /*              */
                    }           POECR1;                 /*              */
              union {                                   /* POECR2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char           :1;  /*              */
                           unsigned char MTU2P1CZE :1;  /*    MTU2P1CZE */
                           unsigned char MTU2P2CZE :1;  /*    MTU2P2CZE */
                           unsigned char MTU2P3CZE :1;  /*    MTU2P3CZE */
                           }       BIT;                 /*              */
                    }           POECR2;                 /*              */
};                                                      /*              */
struct st_pa {                                          /* struct PA    */
             union {                                    /* PADRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DRL;                    /*              */
             char               wk[26];                 /*              */
             union {                                    /* PAPRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            PRL;                    /*              */
};                                                      /*              */
struct st_pb {                                          /* struct PB    */
             union {                                    /* PBDR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char wk1;            /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char wk2;            /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char    :7;          /*              */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char    :8;          /*              */
                          unsigned char    :2;          /*              */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char    :1;          /*              */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              */
             union {                                    /* PBPR         */
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char wk1;            /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char wk2;            /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char    :7;          /*              */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char    :8;          /*              */
                          unsigned char    :2;          /*              */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char    :1;          /*              */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             union {                                    /* PEDRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            DRL;                    /*              */
             char               wk[26];                 /*              */
             union {                                    /* PEPRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }       BYTE;                 /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }       BIT;                  /*              */
                   }            PRL;                    /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             union {                                    /* PFDRL        */
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char wk;             /*    High      */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char   :8;           /*              */
                          unsigned char B7:1;           /*    Bit  7    */
                          unsigned char B6:1;           /*    Bit  6    */
                          unsigned char B5:1;           /*    Bit  5    */
                          unsigned char B4:1;           /*    Bit  4    */
                          unsigned char B3:1;           /*    Bit  3    */
                          unsigned char B2:1;           /*    Bit  2    */
                          unsigned char B1:1;           /*    Bit  1    */
                          unsigned char B0:1;           /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DRL;                    /*              */
};                                                      /*              */
struct st_pfc {                                         /* struct PFC   */
              union {                                   /* PAIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PAIORL;                 /*              */
              char              wk1[8];                 /*              */
              union {                                   /* PACRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PA15MD:3;      /*    PA15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA14MD:3;      /*    PA14MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA13MD:3;      /*    PA13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA12MD:3;      /*    PA12MD    */
                           }       BIT;                 /*              */
                    }           PACRL4;                 /*              */
              union {                                   /* PACRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PA11MD:3;      /*    PA11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA10MD:3;      /*    PA10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA9MD :3;      /*    PA9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PA8MD :3;      /*    PA8MD     */
                           }       BIT;                 /*              */
                    }           PACRL3;                 /*              */
              union {                                   /* PACRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PA7MD:3;       /*    PA7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA6MD:3;       /*    PA6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA5MD:3;       /*    PA5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA4MD:3;       /*    PA4MD     */
                           }       BIT;                 /*              */
                    }           PACRL2;                 /*              */
              union {                                   /* PACRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PA3MD:3;       /*    PA3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA2MD:3;       /*    PA2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA1MD:3;       /*    PA1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA0MD:3;       /*    PA0MD     */
                           }       BIT;                 /*              */
                    }           PACRL1;                 /*              */
              char              wk2[108];               /*              */
              union {                                   /* PBIORH       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char    :7;         /*              */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PBIORH;                 /*              */
              union {                                   /* PBIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char   :8;          /*              */
                           unsigned char   :2;          /*              */
                           unsigned char B5:1;          /*    Bit  5    */
                           unsigned char   :1;          /*              */
                           unsigned char B3:1;          /*    Bit  3    */
                           unsigned char B2:1;          /*    Bit  2    */
                           unsigned char B1:1;          /*    Bit  1    */
                           }       BIT;                 /*              */
                    }           PBIORL;                 /*              */
              char              wk3[6];                 /*              */
              union {                                   /* PBCRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :8;      /*              */
                           unsigned char       :7;      /*              */
                           unsigned char PB16MD:1;      /*    PB16MD    */
                           }       BIT;                 /*              */
                    }           PBCRH1;                 /*              */
              char              wk4[4];                 /*              */
              union {                                   /* PBCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :8;       /*              */
                           unsigned char      :1;       /*              */
                           unsigned char PB5MD:3;       /*    PB5MD     */
                           }       BIT;                 /*              */
                    }           PBCRL2;                 /*              */
              union {                                   /* PBCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PB3MD:3;       /*    PB3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB2MD:3;       /*    PB2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB1MD:3;       /*    PB1MD     */
                           }       BIT;                 /*              */
                    }           PBCRL1;                 /*              */
              char              wk5[366];               /*              */
              union {                                   /* PEIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PEIORL;                 /*              */
              char              wk6[8];                 /*              */
              union {                                   /* PECRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PE15MD:3;      /*    PE15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE14MD:3;      /*    PE14MD    */
                           unsigned char       :2;      /*              */
                           unsigned char PE13MD:2;      /*    PE13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE12MD:3;      /*    PE12MD    */
                           }       BIT;                 /*              */
                    }           PECRL4;                 /*              */
              union {                                   /* PECRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PE11MD:3;      /*    PE11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE10MD:3;      /*    PE10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE9MD :3;      /*    PE9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PE8MD :3;      /*    PE8MD     */
                           }       BIT;                 /*              */
                    }           PECRL3;                 /*              */
              union {                                   /* PECRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PE7MD:3;       /*    PE7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE6MD:3;       /*    PE6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE5MD:3;       /*    PE5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE4MD:3;       /*    PE4MD     */
                           }       BIT;                 /*              */
                    }           PECRL2;                 /*              */
              union {                                   /* PECRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PE3MD:3;       /*    PE3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE2MD:3;       /*    PE2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE1MD:3;       /*    PE1MD     */
                           unsigned char      :2;       /*              */
                           unsigned char PE0MD:2;       /*    PE0MD     */
                           }       BIT;                 /*              */
                    }           PECRL1;                 /*              */
              char              wk7[10];                /*              */
              union {                                   /* IFCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :8;       /*              */
                           unsigned char      :6;       /*              */
                           unsigned char IRQMD:2;       /*    IRQMD     */
                           }      BIT;                  /*              */
                    }           IFCR;                   /*              */
};                                                      /*              */
struct st_cpg {                                         /* struct CPG   */
              union {                                   /* FRQCR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit Access  */
                           unsigned short     :1;       /*              */
                           unsigned short IFC :3;       /*    IFC       */
                           unsigned short BFC :3;       /*    BFC       */
                           unsigned short _PFC:3;       /*    PFC       */
                           unsigned short MIFC:3;       /*    MIFC      */
                           unsigned short MPFC:3;       /*    MPFC      */
                           }       BIT;                 /*              */
                    }           FRQCR;                  /*              */
              char              wk[18];                 /*              */
              union {                                   /* OSCCR        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char        :5;     /*              */
                           unsigned char OSCSTOP:1;     /*    OSCSTOP   */
                           unsigned char        :1;     /*              */
                           unsigned char OSCERS :1;     /*    OSCERS    */
                           }      BIT;                  /*              */
                    }           OSCCR;                  /*              */
};                                                      /*              */
struct st_stb {                                         /* struct STB   */
              union {                                   /* STBCR1       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char STBY:1;        /*    STBY      */
                           }      BIT;                  /*              */
                    }           CR1;                    /*              */
              char              wk1;                    /*              */
              union {                                   /* STBCR2       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char _RAM:1;        /*    RAM       */
                           }      BIT;                  /*              */
                    }           CR2;                    /*              */
              char              wk2;                    /*              */
              union {                                   /* STBCR3       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :2;       /*              */
                           unsigned char _SCI2:1;       /*    SCI2      */
                           unsigned char _SCI1:1;       /*    SCI1      */
                           unsigned char _SCI0:1;       /*    SCI0      */
                           }      BIT;                  /*              */
                    }           CR3;                    /*              */
              char              wk3;                    /*              */
              union {                                   /* STBCR4       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char _MTU2:1;       /*    MTU2      */
                           unsigned char _CMT :1;       /*    CMT       */
                           unsigned char      :3;       /*              */
                           unsigned char _AD1 :1;       /*    A/D1      */
                           unsigned char _AD0 :1;       /*    A/D0      */
                           }      BIT;                  /*              */
                    }           CR4;                    /*              */
              char              wk4;                    /*              */
              union {                                   /* STBCR5       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char     :6;        /*              */
                           unsigned char _UBC:2;        /*    UBC       */
                           }      BIT;                  /*              */
                    }           CR5;                    /*              */
              char              wk5;                    /*              */
              union {                                   /* STBCR6       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char AUDSRST:1;     /*   AUDSRST    */
                           unsigned char HIZ    :1;     /*   HIZ        */
                           unsigned char        :4;     /*              */
                           unsigned char STBYMD :1;     /*   STBYMD     */
                           }      BIT;                  /*              */
                    }           CR6;                    /*              */
};                                                      /*              */
union un_ramcr {                                        /* union RAMCR  */
               unsigned char BYTE;                      /*  Byte Access */
               struct {                                 /*  Bit  Access */
                      unsigned char     :3;             /*              */
                      unsigned char RAME:1;             /*    RAME      */
                      }      BIT;                       /*              */
};                                                      /*              */
union un_wdt {                                          /* union WDT    */
             struct {                                   /* Read  Access */
                    unsigned char WTCNT;                /* WTCNT        */
                    char          wk;                   /*              */
                    union {                             /* WTCSR        */
                          unsigned char BYTE;           /*  Byte Access */
                          struct {                      /*  Bit  Access */
                                 unsigned char TME :1;  /*    TME       */
                                 unsigned char WTIT:1;  /*    WT/IT     */
                                 unsigned char RSTS:1;  /*    RSTS      */
                                 unsigned char WOVF:1;  /*    WOVF      */
                                 unsigned char IOVF:1;  /*    IOVF      */
                                 unsigned char CKS :3;  /*    CKS       */
                                 }      BIT;            /*              */
                          }       WTCSR;                /*              */
                    } READ;                             /*              */
             struct {                                   /* Write Access */
                    unsigned short WTCNT;               /* WTCNT        */
                    unsigned short WTCSR;               /* WTCSR        */
                    } WRITE;                            /*              */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* ICR0         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char NMIL:1;       /*    NMIL      */
                            unsigned char     :6;       /*              */
                            unsigned char NMIE:1;       /*    NMIE      */
                            }       BIT;                /*              */
                     }          ICR0;                   /*              */
               union {                                  /* IRQCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :8;      /*              */
                            unsigned char IRQ3S:2;      /*    IRQ3S     */
                            unsigned char IRQ2S:2;      /*    IRQ2S     */
                            unsigned char IRQ1S:2;      /*    IRQ1S     */
                            unsigned char IRQ0S:2;      /*    IRQ0S     */
                            }       BIT;                /*              */
                     }          IRQCR;                  /*              */
               union {                                  /* IRQSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :4;      /*              */
                            unsigned char IRQ3L:1;      /*    IRQ3L     */
                            unsigned char IRQ2L:1;      /*    IRQ2L     */
                            unsigned char IRQ1L:1;      /*    IRQ1L     */
                            unsigned char IRQ0L:1;      /*    IRQ0L     */
                            unsigned char      :4;      /*              */
                            unsigned char IRQ3F:1;      /*    IRQ3F     */
                            unsigned char IRQ2F:1;      /*    IRQ2F     */
                            unsigned char IRQ1F:1;      /*    IRQ1F     */
                            unsigned char IRQ0F:1;      /*    IRQ0F     */
                            }       BIT;                /*              */
                     }          IRQSR;                  /*              */
               union {                                  /* IPRA         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char _IRQ0:4;      /*   IRQ0       */
                            unsigned char _IRQ1:4;      /*   IRQ1       */
                            unsigned char _IRQ2:4;      /*   IRQ2       */
                            unsigned char _IRQ3:4;      /*   IRQ3       */
                            }       BIT;                /*              */
                     }          IPRA;                   /*              */
               char             wk1[122];               /*              */
               union {                                  /* IPRD         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU20G:4;   /*    MTU20 TGI */
                            unsigned short _MTU20C:4;   /*    MTU20 TCI */
                            unsigned short _MTU21G:4;   /*    MTU21 TGI */
                            unsigned short _MTU21C:4;   /*    MTU21 TCI */
                            }       BIT;                /*              */
                     }          IPRD;                   /*              */
               union {                                  /* IPRE         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU22G:4;   /*    MTU22 TGI */
                            unsigned short _MTU22C:4;   /*    MTU22 TCI */
                            unsigned short _MTU23G:4;   /*    MTU23 TGI */
                            unsigned short _MTU23C:4;   /*    MTU23 TCI */
                            }       BIT;                /*              */
                     }          IPRE;                   /*              */
               union {                                  /* IPRF         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU24G:4;   /*    MTU24 TGI */
                            unsigned short _MTU24C:4;   /*    MTU24 TCI */
                            unsigned short _MTU25 :4;   /*    MTU25     */
                            unsigned short _POE   :4;   /*    POE MTU2  */
                            }       BIT;                /*              */
                     }          IPRF;                   /*              */
               char             wk2[6];                 /*              */
               union {                                  /* IPRJ         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _CMT0:4;     /*    CMT0      */
                            unsigned short _CMT1:4;     /*    CMT1      */
                            unsigned short      :4;     /*              */
                            unsigned short _WDT :4;     /*    WDT       */
                            }       BIT;                /*              */
                     }          IPRJ;                   /*              */
               union {                                  /* IPRK         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _AD01:4;     /*    A/D0,A/D1 */
                            }       BIT;                /*              */
                     }          IPRK;                   /*              */
               union {                                  /* IPRL         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _SCI0:4;     /*    SCI0      */
                            unsigned short _SCI1:4;     /*    SCI1      */
                            unsigned short _SCI2:4;     /*    SCI2      */
                            }       BIT;                /*              */
                     }          IPRL;                   /*              */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              void             *BARA;                   /* BARA         */
              unsigned int      BAMRA;                  /* BAMRA        */
              union {                                   /* BBRA         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short    :5;        /*              */
                           unsigned short CPA:3;        /*    CPA       */
                           unsigned short CDA:2;        /*    CDA       */
                           unsigned short IDA:2;        /*    IDA       */
                           unsigned short RWA:2;        /*    RWA       */
                           unsigned short SZA:2;        /*    SZA       */
                           }       BIT;                 /*              */
                    }           BBRA;                   /*              */
              char              wk1[6];                 /*              */
              unsigned int      BDRA;                   /* BDRA         */
              unsigned int      BDMRA;                  /* BDMRA        */
              char              wk2[8];                 /*              */
              void             *BARB;                   /* BARB         */
              unsigned int      BAMRB;                  /* BAMRB        */
              union {                                   /* BBRB         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short    :5;        /*              */
                           unsigned short CPB:3;        /*    CPB       */
                           unsigned short CDB:2;        /*    CDB       */
                           unsigned short IDB:2;        /*    IDB       */
                           unsigned short RWB:2;        /*    RWB       */
                           unsigned short SZB:2;        /*    SZB       */
                           }       BIT;                 /*              */
                    }           BBRB;                   /*              */
              char              wk3[6];                 /*              */
              unsigned int      BDRB;                   /* BDRB         */
              unsigned int      BDMRB;                  /* BDMRB        */
              char              wk4[136];               /*              */
              union {                                   /* BRCR         */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int       :10;      /*              */
                           unsigned int UTRGW : 2;      /*    UTRGW     */
                           unsigned int UBIDB : 1;      /*    UBIDB     */
                           unsigned int       : 1;      /*              */
                           unsigned int UBIDA : 1;      /*    UBIDA     */
                           unsigned int       : 1;      /*              */
                           unsigned int SCMFCA: 1;      /*    SCMFCA    */
                           unsigned int SCMFCB: 1;      /*    SCMFCB    */
                           unsigned int SCMFDA: 1;      /*    SCMFDA    */
                           unsigned int SCMFDB: 1;      /*    SCMFDB    */
                           unsigned int PCTE  : 1;      /*    PCTE      */
                           unsigned int PCBA  : 1;      /*    PCBA      */
                           unsigned int       : 2;      /*              */
                           unsigned int DBEA  : 1;      /*    DBEA      */
                           unsigned int PCBB  : 1;      /*    PCBB      */
                           unsigned int DBEB  : 1;      /*    DBEB      */
                           unsigned int       : 1;      /*              */
                           unsigned int SEQ   : 1;      /*    SEQ       */
                           unsigned int       : 2;      /*              */
                           unsigned int ETBE  : 1;      /*    ETBE      */
                           }     BIT;                   /*              */
                    }           BRCR;                   /*              */
              char              wk5[12];                /*              */
              void             *BRSR;                   /* BRSR         */
              void             *BRDR;                   /* BRDR         */
              char              wk6[4];                 /*              */
              unsigned short    BETR;                   /* BETR         */
};                                                      /*              */
#define SCI0   (*(volatile struct st_sci   *)0xFFFFC000)/* SCI0  Address*/
#define SCI1   (*(volatile struct st_sci   *)0xFFFFC080)/* SCI1  Address*/
#define SCI2   (*(volatile struct st_sci   *)0xFFFFC100)/* SCI2  Address*/
#define MTU2   (*(volatile struct st_mtu2  *)0xFFFFC20A)/* MTU2  Address*/
#define MTU20  (*(volatile struct st_mtu20 *)0xFFFFC300)/* MTU20 Address*/
#define MTU21  (*(volatile struct st_mtu21 *)0xFFFFC380)/* MTU21 Address*/
#define MTU22  (*(volatile struct st_mtu22 *)0xFFFFC400)/* MTU22 Address*/
#define MTU23  (*(volatile struct st_mtu23 *)0xFFFFC200)/* MTU23 Address*/
#define MTU24  (*(volatile struct st_mtu24 *)0xFFFFC200)/* MTU24 Address*/
#define MTU25  (*(volatile struct st_mtu25 *)0xFFFFC480)/* MTU25 Address*/
#define AD0    (*(volatile struct st_ad0   *)0xFFFFC900)/* A/D0  Address*/
#define AD1    (*(volatile struct st_ad1   *)0xFFFFC980)/* A/D1  Address*/
#define FLASH  (*(volatile struct st_flash *)0xFFFFCC00)/* FLASH Address*/
#define CMT    (*(volatile struct st_cmt   *)0xFFFFCE00)/* CMT   Address*/
#define CMT0   (*(volatile struct st_cmt0  *)0xFFFFCE02)/* CMT0  Address*/
#define CMT1   (*(volatile struct st_cmt0  *)0xFFFFCE08)/* CMT1  Address*/
#define POE    (*(volatile struct st_poe   *)0xFFFFD000)/* POE   Address*/
#define PA     (*(volatile struct st_pa    *)0xFFFFD102)/* PA    Address*/
#define PB     (*(volatile struct st_pb    *)0xFFFFD180)/* PB    Address*/
#define PE     (*(volatile struct st_pe    *)0xFFFFD302)/* PE    Address*/
#define PF     (*(volatile struct st_pf    *)0xFFFFD382)/* PF    Address*/
#define PFC    (*(volatile struct st_pfc   *)0xFFFFD106)/* PFC   Address*/
#define CPG    (*(volatile struct st_cpg   *)0xFFFFE800)/* CPG   Address*/
#define STB    (*(volatile struct st_stb   *)0xFFFFE802)/* STB   Address*/
#define RAMCR  (*(volatile union  un_ramcr *)0xFFFFE880)/* RAMCR Address*/
#define WDT    (*(volatile union  un_wdt   *)0xFFFFE810)/* WDT   Address*/
#define INTC   (*(volatile struct st_intc  *)0xFFFFE900)/* INTC  Address*/
#define UBC    (*(volatile struct st_ubc   *)0xFFFFF300)/* UBC   Address*/
